/* (C) 2011 Richard Mills / The Linux Academy Ltd.
 *
 * Exceptions thrown by the application.
 *
 * $Id: Exceptions.cc,v 1.3 2011/07/26 13:55:38 rich Exp $
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "Exceptions.hh"

#if defined(DEBUG_TUN) && defined(PLATFORM_LINUX)
#include <sstream>
#include <stdlib.h>
#include <execinfo.h>
#endif

namespace HTTPTunnel {


TunnelError::TunnelError(std::string e)
: err(e), bt("No Stack")
{
	#if defined(DEBUG_TUN) && defined(PLATFORM_LINUX)
	// Generate backtrace
	void* buff[25];
	int s = backtrace(&buff[0], sizeof(buff));
	char** psym = backtrace_symbols(&buff[0], s);
	if(psym) {
		std::stringstream btstr;
		for(int i = 0; i < s; ++i)
			btstr << psym[i] << std::endl;

		free(psym);
		bt = btstr.str();
	}
	#endif
}


}	// namespace HTTPTunnel

