/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * An event to launch a server connection test.
 *
 * $Id: LaunchServerTestEvent.cs,v 1.1 2008/07/25 15:22:38 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{
	using System;

	public class LaunchServerTestEvent : TimedEvent {

		/********************/
		/* Public Interface */
		/********************/

		// Construction
		public LaunchServerTestEvent(Globals glob, Time time, ClientTunneler tunneler)
		: base(glob, time)
		{
			m_tunneler = tunneler;
		}

		// Do the server test
		public override void execute()
		{
			// Let tunneler know
			m_tunneler.launchServerTestConnection();
		}


		/***********************/
		/* Protected Interface */
		/***********************/

		/********/
		/* Data */
		/********/

		// Controlling client tunneler
		protected ClientTunneler				m_tunneler;

	}

}	// namespace

