/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate parameters for a generic message.
 *
 * $Id: MsgParms.cs,v 1.1 2008/07/25 15:22:38 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{
	using System;

	public class MsgParms {

		// Construction
		public MsgParms(Globals glob)
		{
			m_glob = glob;
			m_tid = "";
			m_payload = new Payload();
			m_retry = false;
		}

		public MsgParms(Globals glob, string tid, Payload payload, bool retry)
		{
			m_glob = glob;
			m_tid = tid;
			m_payload = payload;
			m_retry = retry;
		}

		public MsgParms(MsgParms that)
		{
			m_glob = that.m_glob;
			m_tid = that.m_tid;
			m_payload = new Payload(that.m_payload);
			m_retry = that.m_retry;
		}


		/*************/
		/* Accessors */
		/*************/

		// Get Tunnel ID
		public string getTid()
		{
			return m_tid;
		}

		// Get payload
		public Payload getPayload()
		{
			return m_payload;
		}

		// Get sending retry flag
		public bool getSendRetry()
		{
			return m_retry;
		}


		/************/
		/* Mutators */
		/************/

		// Set tunnel ID
		public void setTid(string tid)
		{
			m_tid = tid;
		}


		/***********************/
		/* Protected Interface */
		/***********************/


		/********/
		/* Data */
		/********/

		// Globals
		protected Globals				m_glob;

		// Tunnel ID
		protected string				m_tid;

		// Payload data
		protected Payload				m_payload;

		// Retry sending
		protected bool					m_retry;

	}

}	// namespace

