/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * An event describing some new default tunnel parameters.
 *
 * $Id: NewTunnelParmsEvent.cs,v 1.1 2008/07/25 15:22:38 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{

	public class NewTunnelParmsEvent : Event {

		// Construction
		public NewTunnelParmsEvent(Globals glob, Tunneler tunneler, TunnelParms parms,
		TunnelerID tunnelerID) : base(glob)
		{
			m_tunneler = tunneler;
			m_parms = parms;
			m_tunnelerID = tunnelerID;
		}

		// Report the new parameters
		public override void execute()
		{
			// Let connections controlling tunneler know
			m_tunneler.newTunnelParms(m_parms, m_tunnelerID);
		}


		/***********************/
		/* Protected Interface */
		/***********************/


		/********/
		/* Data */
		/********/

		// Controlling tunneler
		protected Tunneler					m_tunneler;

		// The new tunnel parameters
		protected TunnelParms				m_parms;

		// ID of tunneler parameters are for
		protected TunnelerID					m_tunnelerID;

	}

}  // namespace


