/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate a security buffer from an NTLM message.
 *
 * $Id: SecurityBuff.cs,v 1.1 2008/07/25 15:22:38 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{
	using System;

	public class SecurityBuff {

		// Construction
		public SecurityBuff(uint dataLen, uint buffLen, uint buffStart, RawBuff data)
		{
			m_dataLen = dataLen;
			m_buffLen = buffLen;
			m_buffStart = buffStart;
			m_buff = new RawBuff(data, buffLen);
		}


		/*************/
		/* Accessors */
		/*************/

		// Get contents of security buff
		public RawBuff getData()
		{
			return m_buff;
		}


		/*********************/
		/* Private Interface */
		/*********************/


		/********/
		/* Data */
		/********/

		// Buffer lengths and start index
		private uint					m_dataLen;
		private uint					m_buffLen;
		private uint					m_buffStart;

		// Reference to data block buffer
		private RawBuff				m_buff;

	}

}	// namespace

