/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A client to initiate outgoing socket tunnel connections.
 *
 * $Id: SockTunClient.cs,v 1.2 2009/03/20 11:55:49 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{
	using System.Net.Sockets;

	public class SockTunClient {

		// Construction
		public SockTunClient(Globals glob)
		{
			m_glob = glob;
			m_sock = null;

			m_glob.DPRINTV("SockTunClient::SockTunClient()");
		}

		// We are no longer required
		public virtual void destroyed()
		{
			m_glob.DPRINTV("SockTunClient::~SockTunClient()");

			lock(this) {
				// Socket destroyed
				if(m_sock != null) {
					m_sock.destroyed();
					m_sock = null;
				}
			}
		}


		/*************/
		/* Accessors */
		/*************/

		// Get underlying socket descriptor
		public Sock getSock()
		{
			return m_sock;
		}


		/***********************/
		/* Protected interface */
		/***********************/


		/********/
		/* Data */
		/********/

		// Globals
		protected Globals					m_glob;

		// Socket to connect on
		protected Sock						m_sock;

	}

}	// namespace


