/* (C) 2009 Richard Mills / The Linux Academy Ltd.
 *
 * Handle for a socket tunnel instance.
 *
 * $Id: SockTunHandle.cs,v 1.1 2009/03/20 11:55:49 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{

	public class SockTunHandle {

		// Construction
		public SockTunHandle(Globals glob, TunnelerID tid)
		{
			m_glob = glob;
			m_tid = tid;
		}


		/********************/
		/* Public Interface */
		/********************/


		/*************/
		/* Accessors */
		/*************/

		public TunnelerID getTunID()
		{
			return m_tid;
		}


		/***********************/
		/* Protected Interface */
		/***********************/


		/********/
		/* Data */
		/********/

		// Global data
		protected Globals				m_glob;

		// Our tunneler ID
		protected TunnelerID			m_tid;

	}

}	// namespace


