/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A client to initiate outgoing TCP socket tunnel connections.
 *
 * $Id: TCPSockTunClient.cs,v 1.4 2013/02/17 10:53:20 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

namespace HTTPTunnel
{
	public class TCPSockTunClient : SockTunClient {

		// Construction
		public TCPSockTunClient(Globals glob, IPAddr addr) : base(glob)
		{
			m_glob.DPRINTV("TCPSockTunClient::TCPSockTunClient()");

			// Create blocking TCP socket
			m_sock = new TCPSock(m_glob, true);

			// Launch client connection
			m_sock.connect(addr);
		}

		// We are no longer required
		public override void destroyed()
		{
			m_glob.DPRINTV("TCPSockTunClient::~TCPSockTunClient()");

			// Base class
			base.destroyed();
		}

	}

}	// namespace


